# Generated by Django 5.2 on 2025-04-16 17:03

from django.db import migrations, connection


def noop_for_sqlite(apps, schema_editor):
    """
    A no-op function for SQLite migrations.
    This is used to ensure that the migration runs without changes on SQLite,
    where the index renaming is not applicable.
    """
    pass


class Migration(migrations.Migration):

    dependencies = [
        ('openedx_ledger', '0013_alter_historicaladjustment_options_and_more'),
    ]

    operations = []
    # Only run RenameIndex on non-SQLite:
    if connection.vendor != 'sqlite':
        operations.extend([
        migrations.RenameIndex(
            model_name='transaction',
            new_name='idx_ledger_content_exc',
            old_fields=('ledger', 'content_key'),
        ),
        migrations.RenameIndex(
            model_name='transaction',
            new_name='idx_ledger_lms_content_exc',
            old_fields=('ledger', 'lms_user_id', 'content_key'),
        ),
        migrations.RenameIndex(
            model_name='transaction',
            new_name='idx_ledger_subsidy_exc',
            old_fields=('ledger', 'subsidy_access_policy_uuid'),
        ),
    ])
    else:
        # Noop on SQLite, and let your Meta.indexes definition create the index
        operations.append(migrations.RunPython(noop_for_sqlite))
